---
updatedAt: 2026-07-01T21:22:52.000Z
agentTools:
  projectIndex: https://developer.clickup.com/llms.txt
---

# Get Spaces

View the Spaces avialable in a Workspace. You can only get member info in private Spaces.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "ClickUp API v2 Reference",
    "description": "The ClickUp API enables you to programmatically access and manage your ClickUp resources.\n\n## Authentication\nThe API supports two authentication methods:\n- **Personal API Token**: Use for testing and personal integrations. Add token to requests with header: `Authorization: pk_...`\n- **OAuth 2.0**: Required for building apps for other users. Uses authorization code flow.\n\n## Getting Started\nOur [Getting Started Guide](https://developer.clickup.com/docs/index) provides a comprehensive overview of how to use the ClickUp API.\n\n## Custom Fields by Task Type\nCustom Fields can be scoped to specific custom task types. Use the Custom Fields endpoints to read each field's `applied_objects` array (`object_type` `19` = custom task type). Task responses only include applicable Custom Fields, and write operations reject or ignore values for non-applicable fields.\n",
    "contact": {},
    "version": "2.0"
  },
  "jsonSchemaDialect": "https://json-schema.org/draft/2020-12/schema",
  "servers": [
    {
      "url": "https://api.clickup.com/api",
      "description": "ClickUp",
      "variables": {}
    }
  ],
  "paths": {
    "/v2/user": {
      "get": {
        "summary": "Get Authorized User",
        "tags": [
          "Authorization"
        ],
        "description": "View the details of the authenticated user's ClickUp account.",
        "operationId": "GetAuthorizedUser",
        "parameters": [],
        "responses": {
          "200": {
            "description": "",
            "headers": {},
            "content": {
              "application/json": {
                "schema": {
                  "title": "GetAuthorizedUserresponse",
                  "type": "object",
                  "properties": {
                    "user": {
                      "title": "User",
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "contentEncoding": "int32"
                        },
                        "username": {
                          "type": "string"
                        },
                        "email": {
                          "type": "string"
                        },
                        "color": {
                          "type": "string"
                        },
                        "profilePicture": {
                          "type": "string"
                        },
                        "initials": {
                          "type": "string"
                        },
                        "week_start_day": {
                          "type": "integer",
                          "contentEncoding": "int32",
                          "description": "The user's preferred start of the calendar week setting. \\ `0` is Sunday. \\ `1` is Monday."
                        },
                        "global_font_support": {
                          "type": "boolean"
                        },
                        "timezeone": {
                          "type": "string"
                        }
                      },
                      "examples": [
                        {
                          "id": 123,
                          "username": "John Doe",
                          "email": "user@company.com",
                          "color": "#000000",
                          "profilePicture": "https://clickup.com/avatar.jpg",
                          "initials": "JD",
                          "week_start_day": 0,
                          "global_font_support": false,
                          "timezone": "America/Los_Angeles"
                        }
                      ]
                    }
                  },
                  "examples": [
                    {
                      "user": {
                        "id": 123,
                        "username": "John Doe",
                        "email": "user@company.com",
                        "color": "#000000",
                        "profilePicture": "https://clickup.com/avatar.jpg",
                        "initials": "JD",
                        "week_start_day": 0,
                        "global_font_support": false,
                        "timezone": "America/Los_Angeles"
                      }
                    }
                  ]
                },
                "example": {
                  "user": {
                    "id": 123,
                    "username": "John Doe",
                    "email": "user@company.com",
                    "color": "#000000",
                    "profilePicture": "https://clickup.com/avatar.jpg",
                    "initials": "JD",
                    "week_start_day": 0,
                    "global_font_support": false,
                    "timezone": "America/Los_Angeles"
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      },
      "parameters": []
    },
    "/v2/team": {
      "get": {
        "summary": "Get Authorized Workspaces",
        "tags": [
          "Workspaces"
        ],
        "description": "View the Workspaces available to the authenticated user.",
        "operationId": "GetAuthorizedTeams",
        "parameters": [],
        "responses": {
          "200": {
            "description": "",
            "headers": {},
            "content": {
              "application/json": {
                "schema": {
                  "title": "GetAuthorizedTeamsresponse",
                  "required": [
                    "teams"
                  ],
                  "type": "object",
                  "properties": {
                    "teams": {
                      "type": "array",
                      "items": {
                        "title": "Team",
                        "required": [
                          "id",
                          "name",
                          "color",
                          "avatar",
                          "members"
                        ],
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string"
                          },
                          "name": {
                            "type": "string"
                          },
                          "color": {
                            "type": "string"
                          },
                          "avatar": {
                            "type": "string"
                          },
                          "members": {
                            "type": "array",
                            "items": {
                              "title": "Member",
                              "required": [
                                "user"
                              ],
                              "type": "object",
                              "properties": {
                                "user": {
                                  "$ref": "#/paths/~1v2~1user/get/responses/200/content/application~1json/schema/properties/user"
                                }
                              },
                              "examples": [
                                {
                                  "user": {
                                    "id": 123,
                                    "username": "John Doe",
                                    "color": "#000000",
                                    "profilePicture": "https://clickup.com/avatar.jpg"
                                  }
                                }
                              ]
                            },
                            "description": ""
                          }
                        },
                        "examples": [
                          {
                            "id": "1234",
                            "name": "My ClickUp Workspace",
                            "color": "#000000",
                            "avatar": "https://clickup.com/avatar.jpg",
                            "members": [
                              {
                                "user": {
                                  "id": 123,
                                  "username": "John Doe",
                                  "color": "#000000",
                                  "profilePicture": "https://clickup.com/avatar.jpg"
                                }
                              }
                            ]
                          }
                        ]
                      },
                      "description": ""
                    }
                  },
                  "examples": [
                    {
                      "teams": [
                        {
                          "id": "1234",
                          "name": "My ClickUp Workspace",
                          "color": "#000000",
                          "avatar": "https://clickup.com/avatar.jpg",
                          "members": [
                            {
                              "user": {
                                "id": 123,
                                "username": "John Doe",
                                "color": "#000000",
                                "profilePicture": "https://clickup.com/avatar.jpg"
                              }
                            }
                          ]
                        }
                      ]
                    }
                  ]
                },
                "example": {
                  "teams": [
                    {
                      "id": "1234",
                      "name": "My ClickUp Workspace",
                      "color": "#000000",
                      "avatar": "https://clickup.com/avatar.jpg",
                      "members": [
                        {
                          "user": {
                            "id": 123,
                            "username": "John Doe",
                            "color": "#000000",
                            "profilePicture": "https://clickup.com/avatar.jpg"
                          }
                        }
                      ]
                    }
                  ]
                }
              }
            }
          }
        },
        "deprecated": false
      },
      "parameters": []
    },
    "/v2/team/{team_id}/space": {
      "get": {
        "summary": "Get Spaces",
        "tags": [
          "Spaces"
        ],
        "description": "View the Spaces avialable in a Workspace. You can only get member info in private Spaces.",
        "operationId": "GetSpaces",
        "parameters": [
          {
            "name": "team_id",
            "in": "path",
            "description": "Workspace ID",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "number",
              "contentEncoding": "double",
              "examples": [
                123
              ]
            }
          },
          {
            "name": "archived",
            "in": "query",
            "description": "",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "boolean",
              "examples": [
                false
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "",
            "headers": {},
            "content": {
              "application/json": {
                "schema": {
                  "title": "GetSpacesresponse",
                  "required": [
                    "spaces"
                  ],
                  "type": "object",
                  "properties": {
                    "spaces": {
                      "type": "array",
                      "items": {
                        "title": "Space13",
                        "required": [
                          "id",
                          "name",
                          "private",
                          "statuses",
                          "multiple_assignees",
                          "features"
                        ],
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string"
                          },
                          "name": {
                            "type": "string"
                          },
                          "private": {
                            "type": "boolean"
                          },
                          "color": {
                            "type": "string"
                          },
                          "avatar": {
                            "type": "string"
                          },
                          "admin_can_manage": {
                            "type": "boolean"
                          },
                          "archived": {
                            "type": "boolean"
                          },
                          "members": {
                            "type": "array",
                            "items": {
                              "$ref": "#/paths/~1v2~1team/get/responses/200/content/application~1json/schema/properties/teams/items/properties/members/items"
                            },
                            "description": "",
                            "user": {
                              "id": {
                                "type": "string"
                              },
                              "username": {
                                "type": "string"
                              },
                              "color": {
                                "type": "string"
                              },
                              "profilePicture": {
                                "type": "string"
                              },
                              "initials": {
                                "type": "string"
                              }
                            }
                          },
                          "statuses": {
                            "type": "array",
                            "items": {
                              "$ref": "#/paths/~1v2~1task~1{task_id}/get/responses/200/content/application~1json/schema/properties/status"
                            },
                            "description": ""
                          },
                          "multiple_assignees": {
                            "type": "boolean"
                          },
                          "features": {
                            "title": "Features4",
                            "required": [
                              "due_dates",
                              "time_tracking",
                              "tags",
                              "time_estimates",
                              "checklists"
                            ],
                            "type": "object",
                            "properties": {
                              "due_dates": {
                                "$ref": "#/paths/~1v2~1space~1{space_id}/put/requestBody/content/application~1json/schema/properties/features/properties/due_dates"
                              },
                              "time_tracking": {
                                "$ref": "#/paths/~1v2~1space~1{space_id}/put/requestBody/content/application~1json/schema/properties/features/properties/time_tracking"
                              },
                              "tags": {
                                "$ref": "#/paths/~1v2~1space~1{space_id}/put/requestBody/content/application~1json/schema/properties/features/properties/tags"
                              },
                              "time_estimates": {
                                "$ref": "#/paths/~1v2~1space~1{space_id}/put/requestBody/content/application~1json/schema/properties/features/properties/time_estimates"
                              },
                              "checklists": {
                                "$ref": "#/paths/~1v2~1space~1{space_id}/put/requestBody/content/application~1json/schema/properties/features/properties/checklists"
                              },
                              "custom_fields": {
                                "$ref": "#/paths/~1v2~1space~1{space_id}/put/requestBody/content/application~1json/schema/properties/features/properties/custom_fields"
                              },
                              "remap_dependencies": {
                                "$ref": "#/paths/~1v2~1space~1{space_id}/put/requestBody/content/application~1json/schema/properties/features/properties/remap_dependencies"
                              },
                              "dependency_warning": {
                                "$ref": "#/paths/~1v2~1space~1{space_id}/put/requestBody/content/application~1json/schema/properties/features/properties/dependency_warning"
                              },
                              "portfolios": {
                                "$ref": "#/paths/~1v2~1space~1{space_id}/put/requestBody/content/application~1json/schema/properties/features/properties/portfolios"
                              }
                            },
                            "examples": [
                              {
                                "due_dates": {
                                  "enabled": false,
                                  "start_date": false,
                                  "remap_due_dates": false,
                                  "remap_closed_due_date": false
                                },
                                "time_tracking": {
                                  "enabled": false
                                },
                                "tags": {
                                  "enabled": false
                                },
                                "time_estimates": {
                                  "enabled": false
                                },
                                "checklists": {
                                  "enabled": true
                                },
                                "custom_fields": {
                                  "enabled": true
                                },
                                "remap_dependencies": {
                                  "enabled": false
                                },
                                "dependency_warning": {
                                  "enabled": false
                                },
                                "portfolios": {
                                  "enabled": false
                                }
                              }
                            ]
                          }
                        },
                        "examples": [
                          {
                            "id": "790",
                            "name": "Updated Space Name",
                            "private": false,
                            "color": null,
                            "avatar": "https://attachments.clickup.com/profilePictures/12312312_HoB.jpg",
                            "admin_can_manage": true,
                            "archived": false,
                            "members": [
                              {
                                "user": {
                                  "id": 12312312,
                                  "username": "John Jones",
                                  "color": null,
                                  "profilePicture": "https://attachments.clickup.com/profilePictures/12312312_HoB.jpg",
                                  "initials": "JJ"
                                }
                              }
                            ],
                            "statuses": [
                              {
                                "status": "to do",
                                "type": "open",
                                "orderindex": 0,
                                "color": "#d3d3d3"
                              },
                              {
                                "status": "complete",
                                "type": "closed",
                                "orderindex": 1,
                                "color": "#6bc950"
                              }
                            ],
                            "multiple_assignees": false,
                            "features": {
                              "due_dates": {
                                "enabled": false,
                                "start_date": false,
                                "remap_due_dates": false,
                                "remap_closed_due_date": false
                              },
                              "time_tracking": {
                                "enabled": false
                              },
                              "tags": {
                                "enabled": false
                              },
                              "time_estimates": {
                                "enabled": false
                              },
                              "checklists": {
                                "enabled": true
                              },
                              "custom_fields": {
                                "enabled": true
                              },
                              "remap_dependencies": {
                                "enabled": false
                              },
                              "dependency_warning": {
                                "enabled": false
                              },
                              "portfolios": {
                                "enabled": false
                              }
                            }
                          }
                        ]
                      },
                      "description": ""
                    }
                  },
                  "examples": [
                    {
                      "spaces": [
                        {
                          "id": "790",
                          "name": "Updated Space Name",
                          "private": false,
                          "color": null,
                          "avatar": "https://attachments.clickup.com/profilePictures/12312312_HoB.jpg",
                          "admin_can_manage": true,
                          "archived": false,
                          "members": [
                            {
                              "user": {
                                "id": "12312312,",
                                "username": "John Jones,",
                                "color": null,
                                "profilePicture": "https://attachments.clickup.com/profilePictures/12312312_HoB.jpg,",
                                "initials": "JJ"
                              }
                            }
                          ],
                          "statuses": [
                            {
                              "status": "to do",
                              "type": "open",
                              "orderindex": 0,
                              "color": "#d3d3d3"
                            },
                            {
                              "status": "complete",
                              "type": "closed",
                              "orderindex": 1,
                              "color": "#6bc950"
                            }
                          ],
                          "multiple_assignees": false,
                          "features": {
                            "due_dates": {
                              "enabled": false,
                              "start_date": false,
                              "remap_due_dates": false,
                              "remap_closed_due_date": false
                            },
                            "time_tracking": {
                              "enabled": false
                            },
                            "tags": {
                              "enabled": false
                            },
                            "time_estimates": {
                              "enabled": false
                            },
                            "checklists": {
                              "enabled": true
                            },
                            "custom_fields": {
                              "enabled": true
                            },
                            "remap_dependencies": {
                              "enabled": false
                            },
                            "dependency_warning": {
                              "enabled": false
                            },
                            "portfolios": {
                              "enabled": false
                            }
                          }
                        },
                        {
                          "id": "791",
                          "name": "Second Space Name",
                          "private": false,
                          "statuses": [
                            {
                              "status": "Open",
                              "type": "open",
                              "orderindex": 0,
                              "color": "#d3d3d3"
                            },
                            {
                              "status": "Closed",
                              "type": "closed",
                              "orderindex": 1,
                              "color": "#6bc950"
                            }
                          ],
                          "multiple_assignees": true,
                          "features": {
                            "due_dates": {
                              "enabled": true,
                              "start_date": false,
                              "remap_due_dates": false,
                              "remap_closed_due_date": false
                            },
                            "time_tracking": {
                              "enabled": true
                            },
                            "tags": {
                              "enabled": true
                            },
                            "time_estimates": {
                              "enabled": true
                            },
                            "checklists": {
                              "enabled": true
                            }
                          }
                        }
                      ]
                    }
                  ]
                },
                "example": {
                  "spaces": [
                    {
                      "id": "790",
                      "name": "Updated Space Name",
                      "private": false,
                      "color": null,
                      "avatar": "https://attachments.clickup.com/profilePictures/12312312_HoB.jpg",
                      "admin_can_manage": true,
                      "archived": false,
                      "members": [
                        {
                          "user": {
                            "id": "12312312,",
                            "username": "John Jones,",
                            "color": null,
                            "profilePicture": "https://attachments.clickup.com/profilePictures/12312312_HoB.jpg,",
                            "initials": "JJ"
                          }
                        }
                      ],
                      "statuses": [
                        {
                          "status": "to do",
                          "type": "open",
                          "orderindex": 0,
                          "color": "#d3d3d3"
                        },
                        {
                          "status": "complete",
                          "type": "closed",
                          "orderindex": 1,
                          "color": "#6bc950"
                        }
                      ],
                      "multiple_assignees": false,
                      "features": {
                        "due_dates": {
                          "enabled": false,
                          "start_date": false,
                          "remap_due_dates": false,
                          "remap_closed_due_date": false
                        },
                        "time_tracking": {
                          "enabled": false
                        },
                        "tags": {
                          "enabled": false
                        },
                        "time_estimates": {
                          "enabled": false
                        },
                        "checklists": {
                          "enabled": true
                        },
                        "custom_fields": {
                          "enabled": true
                        },
                        "remap_dependencies": {
                          "enabled": false
                        },
                        "dependency_warning": {
                          "enabled": false
                        },
                        "portfolios": {
                          "enabled": false
                        }
                      }
                    },
                    {
                      "id": "791",
                      "name": "Second Space Name",
                      "private": false,
                      "statuses": [
                        {
                          "status": "Open",
                          "type": "open",
                          "orderindex": 0,
                          "color": "#d3d3d3"
                        },
                        {
                          "status": "Closed",
                          "type": "closed",
                          "orderindex": 1,
                          "color": "#6bc950"
                        }
                      ],
                      "multiple_assignees": true,
                      "features": {
                        "due_dates": {
                          "enabled": true,
                          "start_date": false,
                          "remap_due_dates": false,
                          "remap_closed_due_date": false
                        },
                        "time_tracking": {
                          "enabled": true
                        },
                        "tags": {
                          "enabled": true
                        },
                        "time_estimates": {
                          "enabled": true
                        },
                        "checklists": {
                          "enabled": true
                        }
                      }
                    }
                  ]
                }
              }
            }
          }
        },
        "deprecated": false
      },
      "parameters": []
    },
    "/v2/space/{space_id}": {
      "put": {
        "summary": "Update Space",
        "tags": [
          "Spaces"
        ],
        "description": "Rename, set the Space color, and enable ClickApps for a Space.",
        "operationId": "UpdateSpace",
        "parameters": [
          {
            "name": "space_id",
            "in": "path",
            "description": "",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "number",
              "contentEncoding": "double",
              "examples": [
                790
              ]
            }
          }
        ],
        "requestBody": {
          "description": "",
          "content": {
            "application/json": {
              "schema": {
                "title": "UpdateSpacerequest",
                "required": [
                  "name",
                  "color",
                  "private",
                  "admin_can_manage",
                  "multiple_assignees",
                  "features"
                ],
                "type": "object",
                "properties": {
                  "name": {
                    "type": "string"
                  },
                  "color": {
                    "type": "string"
                  },
                  "private": {
                    "type": "boolean"
                  },
                  "admin_can_manage": {
                    "description": "***Note:** Allowing or restricting admins from managing private Spaces using `\"admin_can_manage\"` is an [Enterprise Plan](https://clickup.com/pricing) feature.*",
                    "type": "boolean"
                  },
                  "multiple_assignees": {
                    "type": "boolean"
                  },
                  "features": {
                    "title": "Features",
                    "required": [
                      "due_dates",
                      "time_tracking",
                      "tags",
                      "time_estimates",
                      "checklists",
                      "custom_fields",
                      "remap_dependencies",
                      "dependency_warning",
                      "portfolios"
                    ],
                    "type": "object",
                    "properties": {
                      "due_dates": {
                        "title": "DueDates",
                        "required": [
                          "enabled",
                          "start_date",
                          "remap_due_dates",
                          "remap_closed_due_date"
                        ],
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean"
                          },
                          "start_date": {
                            "type": "boolean"
                          },
                          "remap_due_dates": {
                            "type": "boolean"
                          },
                          "remap_closed_due_date": {
                            "type": "boolean"
                          }
                        },
                        "examples": [
                          {
                            "enabled": true,
                            "start_date": false,
                            "remap_due_dates": true,
                            "remap_closed_due_date": false
                          }
                        ]
                      },
                      "time_tracking": {
                        "title": "TimeTracking",
                        "required": [
                          "enabled"
                        ],
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean"
                          }
                        },
                        "examples": [
                          {
                            "enabled": false
                          }
                        ]
                      },
                      "tags": {
                        "title": "Tags",
                        "required": [
                          "enabled"
                        ],
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean"
                          }
                        },
                        "examples": [
                          {
                            "enabled": true
                          }
                        ]
                      },
                      "time_estimates": {
                        "title": "TimeEstimates",
                        "required": [
                          "enabled"
                        ],
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean"
                          }
                        },
                        "examples": [
                          {
                            "enabled": true
                          }
                        ]
                      },
                      "checklists": {
                        "title": "Checklists",
                        "required": [
                          "enabled"
                        ],
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean"
                          }
                        },
                        "examples": [
                          {
                            "enabled": true
                          }
                        ]
                      },
                      "custom_fields": {
                        "title": "CustomFields",
                        "required": [
                          "enabled"
                        ],
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean"
                          }
                        },
                        "examples": [
                          {
                            "enabled": true
                          }
                        ]
                      },
                      "remap_dependencies": {
                        "title": "RemapDependencies",
                        "required": [
                          "enabled"
                        ],
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean"
                          }
                        },
                        "examples": [
                          {
                            "enabled": true
                          }
                        ]
                      },
                      "dependency_warning": {
                        "title": "DependencyWarning",
                        "required": [
                          "enabled"
                        ],
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean"
                          }
                        },
                        "examples": [
                          {
                            "enabled": true
                          }
                        ]
                      },
                      "portfolios": {
                        "title": "Portfolios",
                        "required": [
                          "enabled"
                        ],
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean"
                          }
                        },
                        "examples": [
                          {
                            "enabled": true
                          }
                        ]
                      }
                    },
                    "examples": [
                      {
                        "due_dates": {
                          "enabled": true,
                          "start_date": false,
                          "remap_due_dates": true,
                          "remap_closed_due_date": false
                        },
                        "time_tracking": {
                          "enabled": false
                        },
                        "tags": {
                          "enabled": true
                        },
                        "time_estimates": {
                          "enabled": true
                        },
                        "checklists": {
                          "enabled": true
                        },
                        "custom_fields": {
                          "enabled": true
                        },
                        "remap_dependencies": {
                          "enabled": true
                        },
                        "dependency_warning": {
                          "enabled": true
                        },
                        "portfolios": {
                          "enabled": true
                        }
                      }
                    ]
                  }
                },
                "examples": [
                  {
                    "name": "Updated Space Name",
                    "color": "#7B68EE",
                    "private": false,
                    "admin_can_manage": false,
                    "multiple_assignees": false,
                    "features": {
                      "due_dates": {
                        "enabled": false,
                        "start_date": false,
                        "remap_due_dates": false,
                        "remap_closed_due_date": false
                      },
                      "time_tracking": {
                        "enabled": false
                      },
                      "tags": {
                        "enabled": false
                      },
                      "time_estimates": {
                        "enabled": false
                      },
                      "checklists": {
                        "enabled": true
                      },
                      "custom_fields": {
                        "enabled": true
                      },
                      "remap_dependencies": {
                        "enabled": false
                      },
                      "dependency_warning": {
                        "enabled": false
                      },
                      "portfolios": {
                        "enabled": false
                      }
                    }
                  }
                ]
              },
              "example": {
                "name": "Updated Space Name",
                "color": "#7B68EE",
                "private": false,
                "admin_can_manage": false,
                "multiple_assignees": false,
                "features": {
                  "due_dates": {
                    "enabled": false,
                    "start_date": false,
                    "remap_due_dates": false,
                    "remap_closed_due_date": false
                  },
                  "time_tracking": {
                    "enabled": false
                  },
                  "tags": {
                    "enabled": false
                  },
                  "time_estimates": {
                    "enabled": false
                  },
                  "checklists": {
                    "enabled": true
                  },
                  "custom_fields": {
                    "enabled": true
                  },
                  "remap_dependencies": {
                    "enabled": false
                  },
                  "dependency_warning": {
                    "enabled": false
                  },
                  "portfolios": {
                    "enabled": false
                  }
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "",
            "headers": {},
            "content": {
              "application/json": {
                "schema": {
                  "title": "UpdateSpaceresponse",
                  "required": [
                    "id",
                    "name",
                    "private",
                    "statuses",
                    "multiple_assignees",
                    "features"
                  ],
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string"
                    },
                    "name": {
                      "type": "string"
                    },
                    "private": {
                      "type": "boolean"
                    },
                    "statuses": {
                      "type": "array",
                      "items": {
                        "$ref": "#/paths/~1v2~1task~1{task_id}/get/responses/200/content/application~1json/schema/properties/status"
                      },
                      "description": ""
                    },
                    "multiple_assignees": {
                      "type": "boolean"
                    },
                    "features": {
                      "$ref": "#/paths/~1v2~1space~1{space_id}/put/requestBody/content/application~1json/schema/properties/features"
                    }
                  },
                  "examples": [
                    {
                      "id": "790",
                      "name": "Updated Space Name",
                      "private": false,
                      "statuses": [
                        {
                          "status": "to do",
                          "type": "open",
                          "orderindex": 0,
                          "color": "#d3d3d3"
                        },
                        {
                          "status": "complete",
                          "type": "closed",
                          "orderindex": 1,
                          "color": "#6bc950"
                        }
                      ],
                      "multiple_assignees": false,
                      "features": {
                        "due_dates": {
                          "enabled": false,
                          "start_date": false,
                          "remap_due_dates": false,
                          "remap_closed_due_date": false
                        },
                        "time_tracking": {
                          "enabled": false
                        },
                        "tags": {
                          "enabled": false
                        },
                        "time_estimates": {
                          "enabled": false
                        },
                        "checklists": {
                          "enabled": true
                        },
                        "custom_fields": {
                          "enabled": true
                        },
                        "remap_dependencies": {
                          "enabled": false
                        },
                        "dependency_warning": {
                          "enabled": false
                        },
                        "portfolios": {
                          "enabled": false
                        }
                      }
                    }
                  ]
                },
                "example": {
                  "id": "790",
                  "name": "Updated Space Name",
                  "private": false,
                  "statuses": [
                    {
                      "status": "to do",
                      "type": "open",
                      "orderindex": 0,
                      "color": "#d3d3d3"
                    },
                    {
                      "status": "complete",
                      "type": "closed",
                      "orderindex": 1,
                      "color": "#6bc950"
                    }
                  ],
                  "multiple_assignees": false,
                  "features": {
                    "due_dates": {
                      "enabled": false,
                      "start_date": false,
                      "remap_due_dates": false,
                      "remap_closed_due_date": false
                    },
                    "time_tracking": {
                      "enabled": false
                    },
                    "tags": {
                      "enabled": false
                    },
                    "time_estimates": {
                      "enabled": false
                    },
                    "checklists": {
                      "enabled": true
                    },
                    "custom_fields": {
                      "enabled": true
                    },
                    "remap_dependencies": {
                      "enabled": false
                    },
                    "dependency_warning": {
                      "enabled": false
                    },
                    "portfolios": {
                      "enabled": false
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      },
      "parameters": []
    },
    "/v2/task/{task_id}": {
      "get": {
        "summary": "Get Task",
        "tags": [
          "Tasks"
        ],
        "description": "View information about a task. You can only view task information of tasks you can access. \\\n \\\nTasks with attachments will return an \"attachments\" response. \\\n \\\nDocs attached to a task are not returned.\\\n \\\nThe `custom_fields` array only includes Custom Fields applicable to the task's `custom_item_id`. Use [Get Custom Fields](https://developer.clickup.com/reference/getaccessiblecustomfields) and each field's `applied_objects` to discover which fields apply to which task types.",
        "operationId": "GetTask",
        "parameters": [
          {
            "name": "task_id",
            "in": "path",
            "description": "",
            "required": true,
            "style": "simple",
            "schema": {
              "type": "string",
              "examples": [
                "9hz"
              ]
            }
          },
          {
            "name": "custom_task_ids",
            "in": "query",
            "description": "If you want to reference a task by its custom task id, this value must be `true`.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "boolean",
              "examples": [
                true
              ]
            }
          },
          {
            "name": "team_id",
            "in": "query",
            "description": "When the `custom_task_ids` parameter is set to `true`, the Workspace ID must be provided using the `team_id` parameter.\n \\\nFor example: `custom_task_ids=true&team_id=123`.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "number",
              "contentEncoding": "double",
              "examples": [
                123
              ]
            }
          },
          {
            "name": "include_subtasks",
            "in": "query",
            "description": "Include subtasks, default false",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "include_markdown_description",
            "in": "query",
            "description": "To return task descriptions in Markdown format, use `?include_markdown_description=true`.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "boolean",
              "examples": [
                true
              ]
            }
          },
          {
            "name": "custom_fields",
            "in": "query",
            "description": "Include tasks with specific values in one or more Custom Fields. Custom Relationships are included.\\\n \\\nFor example: `?custom_fields=[{\"field_id\":\"abcdefghi12345678\",\"operator\":\"=\",\"value\":\"1234\"},{\"field_id\":\"jklmnop123456\",\"operator\":\"<\",\"value\":\"5\"}]`\\\n \\\nOnly set Custom Field values display in the `value` property of the `custom_fields` parameter. If you want to include tasks with specific values in only one Custom Field, use `custom_field` instead.\\\n \\\nLearn more about [filtering using Custom Fields.](https://developer.clickup.com/docs/filtertasks)",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "",
            "headers": {},
            "content": {
              "application/json": {
                "schema": {
                  "title": "GetTaskresponse",
                  "type": "object",
                  "example": {
                    "id": "9hx",
                    "custom_id": null,
                    "custom_item_id": 0,
                    "name": "Fix login bug",
                    "text_content": "Users are unable to log in when SSO is enabled.",
                    "description": "Users are unable to log in when SSO is enabled.",
                    "status": {
                      "id": "p7001234_FxGmgrnk",
                      "status": "in progress",
                      "color": "#d3d3d3",
                      "orderindex": 1,
                      "type": "custom"
                    },
                    "orderindex": "1.00000000000000000000000000000000",
                    "date_created": "1567780450202",
                    "date_updated": "1567780450202",
                    "date_closed": null,
                    "date_done": null,
                    "archived": false,
                    "creator": {
                      "id": 183,
                      "username": "Alex Johnson",
                      "color": "#827718",
                      "email": "user@company.com",
                      "profilePicture": "https://attachments-public.clickup.com/profilePictures/183_abc.jpg"
                    },
                    "assignees": [
                      {
                        "id": 2772463,
                        "username": "Alex Johnson",
                        "color": "#FC575E",
                        "initials": "AJ",
                        "email": "user@company.com",
                        "profilePicture": null
                      }
                    ],
                    "group_assignees": [],
                    "watchers": [
                      {
                        "id": 2772463,
                        "username": "Alex Johnson",
                        "color": "#FC575E",
                        "initials": "AJ",
                        "email": "user@company.com",
                        "profilePicture": null
                      }
                    ],
                    "checklists": [],
                    "tags": [
                      {
                        "name": "bug",
                        "tag_fg": "#EA80FC",
                        "tag_bg": "#EA80FC",
                        "creator": 183
                      }
                    ],
                    "parent": null,
                    "top_level_parent": null,
                    "priority": {
                      "color": "#f8ae00",
                      "id": "3",
                      "orderindex": "3",
                      "priority": "normal"
                    },
                    "due_date": "1508369194377",
                    "start_date": null,
                    "points": 3,
                    "time_estimate": "8640000",
                    "time_spent": 0,
                    "custom_fields": [
                      {
                        "id": "d2ab17e0-41d3-4d28-bdbb-f3f0f2c62f8b",
                        "name": "Sprint Goal",
                        "type": "short_text",
                        "type_config": {},
                        "date_created": "1621915186877",
                        "hide_from_guests": false,
                        "value": "Fix critical auth issues",
                        "value_richtext": "",
                        "required": false
                      },
                      {
                        "id": "1f3cc395-3448-4264-bedd-590a3b3fa178",
                        "name": "Story Points",
                        "type": "number",
                        "type_config": {},
                        "date_created": "1627004071219",
                        "hide_from_guests": false,
                        "value": "8",
                        "value_richtext": "",
                        "required": false
                      },
                      {
                        "id": "f4d2a20d-6759-4420-b897-222dbe2587d4",
                        "name": "Assigned Reviewer",
                        "type": "users",
                        "type_config": {
                          "include_guests": false,
                          "include_team_members": true,
                          "single_user": false
                        },
                        "date_created": "1618440378816",
                        "hide_from_guests": false,
                        "value": [
                          {
                            "id": 2772463,
                            "username": "Alex Johnson",
                            "email": "user@company.com",
                            "color": "#FC575E",
                            "initials": "AJ",
                            "profilePicture": null
                          }
                        ],
                        "value_richtext": "",
                        "required": false
                      },
                      {
                        "id": "b2e4be70-c4d3-4726-985b-46ac25375b28",
                        "name": "Marketing Requirements",
                        "type": "drop_down",
                        "type_config": {
                          "sorting": "manual",
                          "new_drop_down": true,
                          "options": [
                            {
                              "id": "f8249998-9c0a-4b1d-a8b7-67a072aca05a",
                              "name": "No Marketing Needed",
                              "color": "#b5bcc2",
                              "orderindex": 0
                            },
                            {
                              "id": "97704092-e5aa-4005-a87f-677b764d2e4c",
                              "name": "Internal Announcement",
                              "color": "#02BCD4",
                              "orderindex": 1
                            },
                            {
                              "id": "c3d4e5f6-a7b8-4c9d-0e1f-a2b3c4d5e6f7",
                              "name": "Release Notes Only",
                              "color": "#7b68ee",
                              "orderindex": 2
                            },
                            {
                              "id": "b32b5b93-1839-431e-b9b0-8c4f9de9a84d",
                              "name": "Social Media Post",
                              "color": "#2ecd6f",
                              "orderindex": 3
                            },
                            {
                              "id": "87b3c808-a335-4284-a671-e2f9bce66713",
                              "name": "Blog Post",
                              "color": "#f9ae27",
                              "orderindex": 4
                            },
                            {
                              "id": "a1c2d3e4-f5a6-7b8c-9d0e-f1a2b3c4d5e6",
                              "name": "Dedicated Campaign with Press",
                              "color": "#e50000",
                              "orderindex": 5
                            }
                          ]
                        },
                        "date_created": "1762838079415",
                        "hide_from_guests": false,
                        "value": 2,
                        "value_richtext": "",
                        "required": false
                      }
                    ],
                    "dependencies": [
                      {
                        "task_id": "9hx",
                        "depends_on": "8gx",
                        "type": 1,
                        "date_created": "1675970762803",
                        "userid": "183",
                        "workspace_id": "1234567",
                        "chain_id": null
                      }
                    ],
                    "linked_tasks": [],
                    "locations": [],
                    "team_id": "1234567",
                    "url": "https://app.clickup.com/t/9hx",
                    "sharing": {
                      "public": false,
                      "public_share_expires_on": null,
                      "public_fields": [
                        "assignees",
                        "priority",
                        "due_date",
                        "content",
                        "comments",
                        "attachments",
                        "customFields",
                        "subtasks",
                        "tags",
                        "checklists",
                        "coverimage"
                      ],
                      "token": null,
                      "seo_optimized": false
                    },
                    "permission_level": "create",
                    "list": {
                      "id": "15505202",
                      "name": "Sprint Backlog",
                      "access": true
                    },
                    "project": {
                      "id": "6992470",
                      "name": "Mobile Squad",
                      "hidden": false,
                      "access": true
                    },
                    "folder": {
                      "id": "6992470",
                      "name": "Mobile Squad",
                      "hidden": false,
                      "access": true
                    },
                    "space": {
                      "id": "7002367"
                    },
                    "attachments": [
                      {
                        "id": "62447c77-2086-4cda-b274-f53eccf0547b.txt",
                        "date": 1711570108374,
                        "title": "error-logs.txt",
                        "type": 1,
                        "source": 1,
                        "version": 0,
                        "extension": "txt",
                        "thumbnail_small": null,
                        "thumbnail_medium": null,
                        "thumbnail_large": null,
                        "is_folder": null,
                        "mimetype": "text/plain",
                        "hidden": false,
                        "parent_id": "9hx",
                        "size": 140970,
                        "total_comments": 0,
                        "resolved_comments": 0,
                        "user": {
                          "id": 183,
                          "username": "Alex Johnson",
                          "initials": "AJ",
                          "email": "user@company.com",
                          "color": "#827718",
                          "profilePicture": "https://attachments-public.clickup.com/profilePictures/183_abc.jpg"
                        },
                        "deleted": false,
                        "orientation": null,
                        "url": "https://t123456.p.clickup-attachments.com/t123456/62447c77-2086-4cda-b274-f53eccf0547b/error-logs.txt",
                        "email_data": null,
                        "url_w_query": "https://t123456.p.clickup-attachments.com/t123456/62447c77-2086-4cda-b274-f53eccf0547b/error-logs.txt?view=open",
                        "url_w_host": "https://t123456.p.clickup-attachments.com/t123456/62447c77-2086-4cda-b274-f53eccf0547b/error-logs.txt"
                      }
                    ]
                  },
                  "properties": {
                    "id": {
                      "type": "string"
                    },
                    "custom_id": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "custom_item_id": {
                      "type": [
                        "number",
                        "null"
                      ],
                      "description": "The custom task type ID for this task. A value of `0` represents task type \"Task\".\\\n \\\nTo get a list of available custom task type IDs for your Workspace, use the [Get Custom Task Types endpoint](https://developer.clickup.com/reference/getcustomitems)."
                    },
                    "name": {
                      "type": "string"
                    },
                    "text_content": {
                      "type": "string"
                    },
                    "description": {
                      "type": "string"
                    },
                    "markdown_description": {
                      "type": "string",
                      "description": "Only returned if `include_markdown_description=true` is passed as a query parameter."
                    },
                    "status": {
                      "title": "Status",
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string"
                        },
                        "status": {
                          "type": "string"
                        },
                        "color": {
                          "type": "string"
                        },
                        "orderindex": {
                          "type": "integer",
                          "contentEncoding": "int32"
                        },
                        "type": {
                          "type": "string"
                        }
                      },
                      "examples": [
                        {
                          "id": "p7001234_FxGmgrnk",
                          "status": "in progress",
                          "color": "#d3d3d3",
                          "orderindex": 1,
                          "type": "custom"
                        }
                      ]
                    },
                    "orderindex": {
                      "type": "string"
                    },
                    "date_created": {
                      "type": "string"
                    },
                    "date_updated": {
                      "type": "string"
                    },
                    "date_closed": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "date_done": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "archived": {
                      "type": "boolean"
                    },
                    "creator": {
                      "title": "Creator",
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "contentEncoding": "int32"
                        },
                        "username": {
                          "type": "string"
                        },
                        "color": {
                          "type": "string"
                        },
                        "email": {
                          "type": "string"
                        },
                        "profilePicture": {
                          "type": [
                            "string",
                            "null"
                          ]
                        }
                      },
                      "examples": [
                        {
                          "id": 183,
                          "username": "Alex Johnson",
                          "color": "#827718",
                          "email": "user@company.com",
                          "profilePicture": "https://attachments-public.clickup.com/profilePictures/183_abc.jpg"
                        }
                      ]
                    },
                    "assignees": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer"
                          },
                          "username": {
                            "type": "string"
                          },
                          "color": {
                            "type": "string"
                          },
                          "initials": {
                            "type": "string"
                          },
                          "email": {
                            "type": "string"
                          },
                          "profilePicture": {
                            "type": [
                              "string",
                              "null"
                            ]
                          }
                        }
                      },
                      "description": ""
                    },
                    "group_assignees": {
                      "type": "array",
                      "items": {
                        "type": "object"
                      },
                      "description": ""
                    },
                    "watchers": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer"
                          },
                          "username": {
                            "type": "string"
                          },
                          "color": {
                            "type": "string"
                          },
                          "initials": {
                            "type": "string"
                          },
                          "email": {
                            "type": "string"
                          },
                          "profilePicture": {
                            "type": [
                              "string",
                              "null"
                            ]
                          }
                        }
                      },
                      "description": ""
                    },
                    "checklists": {
                      "type": "array",
                      "items": {
                        "type": "object"
                      },
                      "description": ""
                    },
                    "tags": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "name": {
                            "type": "string"
                          },
                          "tag_fg": {
                            "type": "string"
                          },
                          "tag_bg": {
                            "type": "string"
                          },
                          "creator": {
                            "type": "integer"
                          }
                        }
                      },
                      "description": ""
                    },
                    "parent": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "top_level_parent": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "priority": {
                      "title": "Priority",
                      "type": "object",
                      "nullable": true,
                      "properties": {
                        "color": {
                          "type": "string"
                        },
                        "id": {
                          "type": "string"
                        },
                        "orderindex": {
                          "type": "string"
                        },
                        "priority": {
                          "type": "string"
                        }
                      },
                      "examples": [
                        {
                          "color": "#f8ae00",
                          "id": "3",
                          "orderindex": "3",
                          "priority": "normal"
                        }
                      ]
                    },
                    "due_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "start_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "points": {
                      "type": [
                        "number",
                        "null"
                      ]
                    },
                    "time_estimate": {
                      "type": [
                        "number",
                        "null"
                      ]
                    },
                    "time_spent": {
                      "type": [
                        "number",
                        "null"
                      ]
                    },
                    "custom_fields": {
                      "type": "array",
                      "items": {
                        "title": "CustomFields8",
                        "type": "object",
                        "examples": [
                          {
                            "id": "d2ab17e0-41d3-4d28-bdbb-f3f0f2c62f8b",
                            "name": "Sprint Goal",
                            "type": "short_text",
                            "type_config": {},
                            "date_created": "1621915186877",
                            "hide_from_guests": false,
                            "value": "Improve onboarding flow",
                            "value_richtext": "",
                            "required": false
                          },
                          {
                            "id": "1f3cc395-3448-4264-bedd-590a3b3fa178",
                            "name": "Story Points",
                            "type": "number",
                            "type_config": {},
                            "date_created": "1627004071219",
                            "hide_from_guests": false,
                            "value": "8",
                            "value_richtext": "",
                            "required": false
                          },
                          {
                            "id": "f4d2a20d-6759-4420-b897-222dbe2587d4",
                            "name": "Assigned Reviewer",
                            "type": "users",
                            "type_config": {
                              "include_guests": false,
                              "include_team_members": true,
                              "single_user": false
                            },
                            "date_created": "1618440378816",
                            "hide_from_guests": false,
                            "value": [
                              {
                                "id": 2772463,
                                "username": "Alex Johnson",
                                "email": "user@company.com",
                                "color": "#FC575E",
                                "initials": "AJ",
                                "profilePicture": null
                              }
                            ],
                            "value_richtext": "",
                            "required": false
                          },
                          {
                            "id": "b2e4be70-c4d3-4726-985b-46ac25375b28",
                            "name": "Marketing Requirements",
                            "type": "drop_down",
                            "type_config": {
                              "sorting": "manual",
                              "new_drop_down": true,
                              "options": [
                                {
                                  "id": "f8249998-9c0a-4b1d-a8b7-67a072aca05a",
                                  "name": "No Marketing Needed",
                                  "color": "#b5bcc2",
                                  "orderindex": 0
                                },
                                {
                                  "id": "97704092-e5aa-4005-a87f-677b764d2e4c",
                                  "name": "Internal Announcement",
                                  "color": "#02BCD4",
                                  "orderindex": 1
                                },
                                {
                                  "id": "c3d4e5f6-a7b8-4c9d-0e1f-a2b3c4d5e6f7",
                                  "name": "Release Notes Only",
                                  "color": "#7b68ee",
                                  "orderindex": 2
                                },
                                {
                                  "id": "b32b5b93-1839-431e-b9b0-8c4f9de9a84d",
                                  "name": "Social Media Post",
                                  "color": "#2ecd6f",
                                  "orderindex": 3
                                },
                                {
                                  "id": "87b3c808-a335-4284-a671-e2f9bce66713",
                                  "name": "Blog Post",
                                  "color": "#f9ae27",
                                  "orderindex": 4
                                },
                                {
                                  "id": "a1c2d3e4-f5a6-7b8c-9d0e-f1a2b3c4d5e6",
                                  "name": "Dedicated Campaign with Press",
                                  "color": "#e50000",
                                  "orderindex": 5
                                }
                              ]
                            },
                            "date_created": "1762838079415",
                            "hide_from_guests": false,
                            "value": 2,
                            "value_richtext": "",
                            "required": false
                          },
                          {
                            "id": "0aef6ee9-3c54-49e7-aa1a-e981845c773a",
                            "name": "Team",
                            "type": "labels",
                            "type_config": {
                              "sorting": "manual",
                              "options": [
                                {
                                  "id": "2245c581-0fb7-4bba-b5f9-d40e421ab2d2",
                                  "label": "Frontend",
                                  "color": "#bf55ec",
                                  "orderindex": 0
                                },
                                {
                                  "id": "6992d629-f336-4e3a-87a5-6fd0738d91dd",
                                  "label": "Backend",
                                  "color": "#04A9F4",
                                  "orderindex": 1
                                }
                              ]
                            },
                            "date_created": "1614656692549",
                            "hide_from_guests": false,
                            "value": [
                              "978d9762-34f7-4b6e-8e1b-0ac3216deb39",
                              "cd82b57c-7511-4c9d-a25f-0c8d7db807d4"
                            ],
                            "value_richtext": "",
                            "required": false
                          },
                          {
                            "id": "be43f58e-989e-4233-9f25-27584f094b74",
                            "name": "Office Location",
                            "type": "location",
                            "type_config": {},
                            "date_created": "1617765143523",
                            "hide_from_guests": false,
                            "value": {
                              "location": {
                                "lat": 47.306988,
                                "lng": -122.5263212
                              },
                              "place_id": "ChIJs79efm1TkFQRJjrP-xr8u0M",
                              "formatted_address": "5400 N Pearl St, Tacoma, WA 98407, USA"
                            },
                            "value_richtext": "",
                            "required": false
                          }
                        ],
                        "properties": {
                          "id": {
                            "type": "string"
                          },
                          "name": {
                            "type": "string"
                          },
                          "type": {
                            "type": "string"
                          },
                          "type_config": {
                            "type": "object",
                            "description": "The configuration of the Custom Field. The structure of this object varies depending on the [Custom Field type](ref:docs/customfields)."
                          },
                          "date_created": {
                            "type": "string"
                          },
                          "hide_from_guests": {
                            "type": "boolean"
                          },
                          "value": {
                            "description": "The value of the Custom Field. The structure of this value varies depending on the [Custom Field type](https://developer.clickup.com/docs/customfields)."
                          },
                          "value_richtext": {
                            "type": "string"
                          },
                          "value_markdown": {
                            "type": "string"
                          },
                          "required": {
                            "type": "boolean"
                          }
                        }
                      },
                      "description": "Custom Fields applicable to the task's `custom_item_id`. Fields scoped to other custom task types are excluded. Fields without a value may still appear with their definition."
                    },
                    "dependencies": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "task_id": {
                            "type": "string"
                          },
                          "depends_on": {
                            "type": "string"
                          },
                          "type": {
                            "type": "integer"
                          },
                          "date_created": {
                            "type": "string"
                          },
                          "userid": {
                            "type": "string"
                          },
                          "workspace_id": {
                            "type": "string"
                          },
                          "chain_id": {
                            "type": [
                              "string",
                              "null"
                            ]
                          }
                        }
                      },
                      "description": ""
                    },
                    "linked_tasks": {
                      "type": "array",
                      "items": {
                        "type": "object"
                      },
                      "description": ""
                    },
                    "locations": {
                      "type": "array",
                      "items": {
                        "title": "ListLocation",
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "description": "The ID of the List where the task has been added."
                          },
                          "name": {
                            "type": "string",
                            "description": "The name of the List where the task has been added."
                          }
                        },
                        "examples": [
                          {
                            "id": "123456789",
                            "name": "Secondary List"
                          }
                        ]
                      },
                      "description": "Array of Lists where the task has been added."
                    },
                    "team_id": {
                      "type": "string"
                    },
                    "url": {
                      "type": "string"
                    },
                    "sharing": {
                      "type": "object",
                      "properties": {
                        "public": {
                          "type": "boolean"
                        },
                        "public_share_expires_on": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "public_fields": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        },
                        "token": {
                          "type": [
                            "string",
                            "null"
                          ]
                        },
                        "seo_optimized": {
                          "type": "boolean"
                        }
                      }
                    },
                    "permission_level": {
                      "type": "string"
                    },
                    "list": {
                      "title": "List",
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string"
                        },
                        "name": {
                          "type": "string"
                        },
                        "access": {
                          "type": "boolean"
                        }
                      },
                      "examples": [
                        {
                          "id": "15505202",
                          "name": "Sprint Backlog",
                          "access": true
                        }
                      ]
                    },
                    "project": {
                      "$ref": "#/paths/~1v2~1task~1{task_id}/get/responses/200/content/application~1json/schema/properties/folder"
                    },
                    "folder": {
                      "title": "Folder",
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string"
                        },
                        "name": {
                          "type": "string"
                        },
                        "hidden": {
                          "type": "boolean"
                        },
                        "access": {
                          "type": "boolean"
                        }
                      },
                      "examples": [
                        {
                          "id": "6992470",
                          "name": "Mobile Squad",
                          "hidden": false,
                          "access": true
                        }
                      ]
                    },
                    "space": {
                      "title": "Space",
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string"
                        }
                      },
                      "examples": [
                        {
                          "id": "7002367"
                        }
                      ]
                    },
                    "subtasks": {
                      "type": "array",
                      "description": "Only returned if `include_subtasks=true` is passed as a query parameter.",
                      "items": {
                        "title": "Subtask",
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string"
                          },
                          "custom_item_id": {
                            "type": [
                              "number",
                              "null"
                            ]
                          },
                          "name": {
                            "type": "string"
                          },
                          "status": {
                            "type": "object",
                            "properties": {
                              "status": {
                                "type": "string"
                              },
                              "orderindex": {
                                "type": "integer"
                              },
                              "color": {
                                "type": "string"
                              },
                              "type": {
                                "type": "string"
                              }
                            }
                          },
                          "orderindex": {
                            "type": "string"
                          },
                          "date_created": {
                            "type": "string"
                          },
                          "date_updated": {
                            "type": "string"
                          },
                          "date_closed": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "date_done": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "archived": {
                            "type": "boolean"
                          },
                          "creator": {
                            "$ref": "#/paths/~1v2~1task~1{task_id}/get/responses/200/content/application~1json/schema/properties/creator"
                          },
                          "assignees": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "integer"
                                },
                                "username": {
                                  "type": "string"
                                },
                                "color": {
                                  "type": "string"
                                },
                                "initials": {
                                  "type": "string"
                                },
                                "email": {
                                  "type": "string"
                                },
                                "profilePicture": {
                                  "type": [
                                    "string",
                                    "null"
                                  ]
                                }
                              }
                            }
                          },
                          "group_assignees": {
                            "type": "array",
                            "items": {
                              "type": "object"
                            }
                          },
                          "watchers": {
                            "type": "array",
                            "items": {
                              "type": "object"
                            }
                          },
                          "checklists": {
                            "type": "array",
                            "items": {
                              "type": "object"
                            }
                          },
                          "tags": {
                            "type": "array",
                            "items": {
                              "type": "object"
                            }
                          },
                          "parent": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "top_level_parent": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "due_date": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "start_date": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "points": {
                            "type": [
                              "number",
                              "null"
                            ]
                          },
                          "time_estimate": {
                            "type": [
                              "number",
                              "null"
                            ]
                          },
                          "time_spent": {
                            "type": [
                              "number",
                              "null"
                            ]
                          },
                          "custom_fields": {
                            "type": "array",
                            "items": {
                              "$ref": "#/paths/~1v2~1task~1{task_id}/get/responses/200/content/application~1json/schema/properties/custom_fields/items"
                            }
                          },
                          "dependencies": {
                            "type": "array",
                            "items": {
                              "type": "object"
                            }
                          },
                          "linked_tasks": {
                            "type": "array",
                            "items": {
                              "type": "object"
                            }
                          },
                          "locations": {
                            "type": "array",
                            "items": {
                              "type": "object"
                            }
                          },
                          "url": {
                            "type": "string"
                          }
                        },
                        "example": {
                          "id": "86d2m1awy",
                          "custom_item_id": 0,
                          "name": "Reproduce the issue on staging",
                          "status": {
                            "status": "to do",
                            "orderindex": 0,
                            "color": "#f8ae00",
                            "type": "open"
                          },
                          "orderindex": "237672022.00000000000000000000000000000000",
                          "date_created": "1775848408603",
                          "date_updated": "1775848408603",
                          "date_closed": null,
                          "date_done": null,
                          "archived": false,
                          "creator": {
                            "id": 183,
                            "username": "Alex Johnson",
                            "color": "#595d66",
                            "email": "user@company.com",
                            "profilePicture": null
                          },
                          "assignees": [],
                          "group_assignees": [],
                          "watchers": [],
                          "checklists": [],
                          "tags": [],
                          "parent": "9hx",
                          "top_level_parent": "9hx",
                          "due_date": null,
                          "start_date": null,
                          "points": null,
                          "time_estimate": null,
                          "time_spent": 0,
                          "custom_fields": [],
                          "dependencies": [],
                          "linked_tasks": [],
                          "locations": [],
                          "url": "https://app.clickup.com/t/86d2m1awy"
                        }
                      }
                    },
                    "attachments": {
                      "type": "array",
                      "items": {
[...]
